Holger's Java API

## com.antelmann.db
Class DBStoreListener.StoreUpdateAdapter

    java.lang.Object
      com.antelmann.db.DBStoreListener.Adapter
          com.antelmann.db.DBStoreListener.StoreUpdateAdapter

All Implemented Interfaces:
  DBStoreListener

Enclosing interface:
  DBStoreListener

    public static class DBStoreListener.StoreUpdateAdapter

extends DBStoreListener.Adapter

allows to simply register an ActionListener for changes of a specified type

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.DBStoreListener
`DBStoreListener.Adapter, DBStoreListener.StoreUpdateAdapter`

Constructor Summary
`DBStoreListener.StoreUpdateAdapter(Class<? extends DBEntry> type, ActionListener al)`

Method Summary
`void` `databaseUpdated(DBUpdateEvent event, long timeTaken)` called upon successful insert, delete or update; note that the update becomes permanent ONLY if the current transaction successfully commits.

Methods inherited from class com.antelmann.db.DBStoreListener.Adapter
`databaseAccessed, databaseError, fetchCall, prepareDatabaseCall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBStoreListener.StoreUpdateAdapter

    public DBStoreListener.StoreUpdateAdapter(Class<? extends DBEntry> type,
                                              ActionListener al)

Method Detail

### databaseUpdated

    public void databaseUpdated(DBUpdateEvent event,
                                long timeTaken)
                         throws DBVetoException

  Description copied from interface: `DBStoreListener`
  called upon successful insert, delete or update; note that the update becomes permanent ONLY if the current transaction successfully commits.

  Specified by:
    `databaseUpdated` in interface `DBStoreListener`
  Overrides:
    `databaseUpdated` in class `DBStoreListener.Adapter`
  Throws:
    `DBVetoException` - if the listener explicitly wants to prevent the update from occurring; this exception is then propagated
  See Also:
    `TransactionListener`, `DatabaseChangeMonitor`, `DBVersionedUpdateEvent`, `Database.setVersioningEnabled(Class, boolean)`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads